Skip to main content
GET
/
orgs
/
{orgId}
/
security
/
events
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/security/events \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "agentId": "<string>",
      "messageId": "<string>",
      "type": "<string>",
      "severity": "<string>",
      "details": {},
      "resolved": true,
      "resolvedBy": "<string>",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier (from the URL path)

Query Parameters

agentId
string

Filter events by a specific agent

type
enum<string>

Filter events by security event type

Available options:
PII_DETECTED,
INJECTION_DETECTED,
RATE_LIMITED,
BLOCKED,
APPROVED,
REJECTED
severity
enum<string>

Filter events by severity level

Available options:
LOW,
MEDIUM,
HIGH,
CRITICAL
cursor
string

Pagination cursor for fetching the next page

limit
integer
default:20

Maximum number of events to return per page

Required range: 1 <= x <= 100

Response

200 - application/json

OK

Paginated list of security events

items
object[]
required

List of security events matching the query

pagination
object
required

Pagination metadata